#include <bits/stdc++.h>

using namespace std;

int druzeljubivosti[100000], prijatelji[100000];

int main() {
    int takmicara, poznaje, tmp1, tmp2;
    long long suma = 0;
    cin >> takmicara >> poznaje;
    for(int i = 0; i < takmicara; i++) cin >> druzeljubivosti[i];
    for(int i = 0; i < poznaje; i++) {
        cin >> tmp1 >> tmp2;
        tmp1--; tmp2--;
        if(druzeljubivosti[tmp1] >= 0 && druzeljubivosti[tmp2] >= 0) suma += druzeljubivosti[tmp1] + druzeljubivosti[tmp2];
        else if(druzeljubivosti[tmp1] < 0 && druzeljubivosti[tmp2] < 0) suma -= druzeljubivosti[tmp1] + druzeljubivosti[tmp2];
        else if(druzeljubivosti[tmp1] < 0) {
            if(abs(druzeljubivosti[tmp1]) > abs(druzeljubivosti[tmp2])) suma -= druzeljubivosti[tmp1] + druzeljubivosti[tmp2];
            else suma += druzeljubivosti[tmp1] + druzeljubivosti[tmp2];

        }
        else {
            if(abs(druzeljubivosti[tmp1]) < abs(druzeljubivosti[tmp2])) suma -= druzeljubivosti[tmp1] + druzeljubivosti[tmp2];
            else suma += druzeljubivosti[tmp1] + druzeljubivosti[tmp2];
        }
    }
    cout << suma << endl;
    return 0;
}